package com.gamedog.vididin.manager.taskbeans


import java.util.concurrent.ConcurrentHashMap


data class TaskStateWatchVideo(
    var todayMs: Long = 0,
): BaseDailyTaskState() {

    private val mWatchedMap = ConcurrentHashMap<String, Long>()

    override fun addWatchedVideoInfo(dataPair: Pair<String, Long>): Boolean {
        if (!mWatchedMap.contains(dataPair.first)) {
            mWatchedMap.put(dataPair.first, dataPair.second)
            return true
        }
        return false
    }

    override fun addWatchedCount(newWatchedNum: Int) {

    }

    override fun getTodayWatchedCount(): Int {
        return mWatchedMap.size
    }

}


